TaskLibrary "WebSphere Administration Server Tasks" {
        Context = ("","*",1);
        Distribute = ("","ALI",1);
        HelpMessage = ("","WebSphere Administration Server Task Library",1);
        Requires = ("",">2.5",1);
        Version = ("","1.0",1);

        ArgLayout InputField {
                Text;
        };

        Task "Start_Administration_Server" {
                Comments = ("","Task Name            : Start Administration Server",1);
                Description = ("itmwasTaskCat","Start Administration Server",50);
                HelpMessage = ("itmwasTaskHelpCat","Start Administration Server

Starts the IBM WebSphere administration server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",12);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_start_admin.sh";
        };
        Task "Stop_Administration_Server" {
                Comments = ("","Task Name            : Stop Administration Server",1);
                Description = ("itmwasTaskCat","Stop Administration Server",51);
                HelpMessage = ("itmwasTaskHelpCat","Stop Administration Server

Stops the IBM WebSphere administration server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",13);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_stop_admin.sh";
        };
        Task "Check_Administration_Server_Status" {
                Comments = ("","Task Name            : Check Administration Server Status",1);
                Description = ("itmwasTaskCat","Check Administration Server Status",49);
                HelpMessage = ("itmwasTaskHelpCat","Check Administration Server Status

Returns the status of the IBM WebSphere administration server.

This task returns \"initializing\" if the administration server is
initializing, \"up\" if the administration server is running, \"down\"
if it is stopped, and \"unknown\" if there is a problem obtaining
the status.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",14);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_admin_status.sh";
        };
        Task "List_Application_Servers" {
                Comments = ("","Task Name            : List Application Servers",1);
                Description = ("itmwasTaskCat","List WebSphere Application Servers",16);
                HelpMessage = ("itmwasTaskHelpCat","List Application Servers
Lists the application servers associated with an IBM WebSphere
administration server.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",8);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_list_servers.sh";
        };
        Task "List_Enterprise_Applications" {
                Comments = ("","Task Name            : List Enterprise Applications",1);
                Description = ("itmwasTaskCat","List Enterprise Applications",89);
                HelpMessage = ("itmwasTaskHelpCat","List Enterprise Applications

Returns a list containing all of the Enterprise Applications that are currently installed.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
Application server (WSAdministrationServer, IWSDeploymentManager, IWSApplicationServer)

GUI DATA ENTRY FIELDS:
None",28);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_list_enterprise_applications.sh";
        };
        Task "Start_Enterprise_Application" {
                Comments = ("","Task Name            : Start Enterprise Application",1);
                Description = ("itmwasTaskCat","Start Enterprise Application",90);
                HelpMessage = ("itmwasTaskHelpCat","Start Enterprise Application

Starts an enterprise application on an application server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere Application Server (WSAdministrationServer, IWSDeploymentManager, IWSApplicationServer)

GUI DATA ENTRY FIELDS
Enterprise Application Name",29);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Argument ("itmwasTaskCat","Application Name",93) {
                        DefaultValue = ("","",1);
                        Layout = ("","InputField",1);
                };
                Implementation ("default") Binary "./itmwas_start_enterprise_application.sh";
        };
        Task "Stop_Enterprise_Application" {
                Comments = ("","Task Name            : Stop Enterprise Application",1);
                Description = ("itmwasTaskCat","Stop Enterprise Application",91);
                HelpMessage = ("itmwasTaskHelpCat","Stop Enterprise Application

Stops an enterprise application on an application server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere Application Server (WSAdministrationServer, IWSDeploymentManager, IWSApplicationServer)

GUI DATA ENTRY FIELDS
Enterprise Application Name",30);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Argument ("itmwasTaskCat","Application Name",93) {
                        DefaultValue = ("","",1);
                        Layout = ("","InputField",1);
                };
                Implementation ("default") Binary "./itmwas_stop_enterprise_application.sh";
        };

}

