TaskLibrary "WebSphere Application Server Tasks" {
        Context = ("","*",1);
        Distribute = ("","ALI",1);
        HelpMessage = ("","WebSphere Application Server Task Library",1);
        Requires = ("",">2.5",1);
        Version = ("","1.0",1);

        ArgLayout InputField {
                Text;
        };

        Task "Start_Application_Server" {
                Comments = ("","Task Name            : Start Application Server",1);
                Description = ("itmwasTaskCat","Start Application Server",23);
                HelpMessage = ("itmwasTaskHelpCat","Start Application Server

Starts an application server. You can use this task to start a single
application server.

AUTHORIZATION ROLES:
	websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
Application server (WSApplicationServer)

GUI DATA ENTRY FIELDS:
None",2);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_start_server.sh";
        };
        Task "Stop_Application_Server" {
                Comments = ("","Task Name            : Stop Application Server",1);
                Description = ("itmwasTaskCat","Stop Application Server",24);
                HelpMessage = ("itmwasTaskHelpCat","Stop Application Server

Stops the application server. You can use this task to stop a single
application server.

AUTHORIZATION ROLES:
	websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
Application server (WSApplicationServer)

GUI DATA ENTRY FIELDS:
None",3);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_stop_server.sh";
        };
        Task "Check_Application_Server_Status" {
                Comments = ("","Task Name            : Check Application Server Status",1);
                Description = ("itmwasTaskCat","Check Application Server Status",22);
                HelpMessage = ("itmwasTaskHelpCat","Check Application Server Status

Returns the status of an application server. You can use this task to
display the status of a single application server.

This task returns \"up\" if the application server is running,
returns \"down\" if it is stopped, or returns \"unknown\"
if there is a problem obtaining the status.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
Application server (WSApplicationServer)

GUI DATA ENTRY FIELDS:
None",4);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_server_status.sh";
        };
        Task "List_Application_Servers" {
                Comments = ("","Task Name            : List Application Servers",1);
                Description = ("itmwasTaskCat","List WebSphere Application Servers",16);
                HelpMessage = ("itmwasTaskHelpCat","List Application Servers
Lists the application servers associated with an IBM WebSphere
administration server.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",8);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_list_servers.sh";
        };
        Task "List_Enterprise_Applications" {
                Comments = ("","Task Name            : List Enterprise Applications",1);
                Description = ("itmwasTaskCat","List Enterprise Applications",89);
                HelpMessage = ("itmwasTaskHelpCat","List Enterprise Applications

Returns a list containing all of the Enterprise Applications that are currently installed.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
Application server (WSAdministrationServer, IWSDeploymentManager, IWSApplicationServer)

GUI DATA ENTRY FIELDS:
None",28);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_list_enterprise_applications.sh";
        };
        Task "Start_Enterprise_Application" {
                Comments = ("","Task Name            : Start Enterprise Application",1);
                Description = ("itmwasTaskCat","Start Enterprise Application",90);
                HelpMessage = ("itmwasTaskHelpCat","Start Enterprise Application

Starts an enterprise application on an application server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere Application Server (WSAdministrationServer, IWSDeploymentManager, IWSApplicationServer)

GUI DATA ENTRY FIELDS
Enterprise Application Name",29);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Argument ("itmwasTaskCat","Application Name",93) {
                        DefaultValue = ("","",1);
                        Layout = ("","InputField",1);
                };
                Implementation ("default") Binary "./itmwas_start_enterprise_application.sh";
        };
        Task "Stop_Enterprise_Application" {
                Comments = ("","Task Name            : Stop Enterprise Application",1);
                Description = ("itmwasTaskCat","Stop Enterprise Application",91);
                HelpMessage = ("itmwasTaskHelpCat","Stop Enterprise Application

Stops an enterprise application on an application server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere Application Server (WSAdministrationServer, IWSDeploymentManager, IWSApplicationServer)

GUI DATA ENTRY FIELDS
Enterprise Application Name",30);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Argument ("itmwasTaskCat","Application Name",93) {
                        DefaultValue = ("","",1);
                        Layout = ("","InputField",1);
                };
                Implementation ("default") Binary "./itmwas_stop_enterprise_application.sh";
        };

}

