TaskLibrary "WebSphere Deployment Manager Server Tasks" {
        Context = ("","dmgr",1);
        Distribute = ("","ALI",1);
        HelpMessage = ("","WebSphere Deployment Manager Server Task Library",1);
        Requires = ("",">2.5",1);
        Version = ("","1.0",1);

        ArgLayout InputField {
                Text;
        };

        Task "Start_Deployment_Manager_Server" {
                Comments = ("","Task Name            : Start Deployment Manager Server",1);
                Description = ("itmwasTaskCat","Start Deployment Manager Server",82);
                HelpMessage = ("itmwasTaskHelpCat","Start Deployment Manager Server

Starts the IBM WebSphere deployment manager server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere deployment manager (IWSDeploymentManager)

GUI DATA ENTRY FIELDS
None",25);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_start_dmgr_server.sh";
        };
        Task "Stop_Deployment_Manager_Server" {
                Comments = ("","Task Name            : Stop Deployment Manager Server",1);
                Description = ("itmwasTaskCat","Stop Deployment Manager Server",83);
                HelpMessage = ("itmwasTaskHelpCat","Stop Deployment Manager Server

Stops the IBM WebSphere deployment manager server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere deployment manager (IWSDeploymentManager)

GUI DATA ENTRY FIELDS
None",26);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_stop_dmgr_server.sh";
        };
        Task "Check_Deployment_Manager_Server_Status" {
                Comments = ("","Task Name            : Check Deployment Manager Server Status",1);
                Description = ("itmwasTaskCat","Check Deployment Manager Server Status",81);
                HelpMessage = ("itmwasTaskHelpCat","Check Deployment Manager Server Status

Returns the status of the IBM WebSphere deployment manager server.

This task returns \"up\" if the administration server is running, \"down\"
if it is stopped, and \"unknown\" if there is a problem obtaining
the status.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere deployment manager server (IWSDeploymentManager)

GUI DATA ENTRY FIELDS
None",27);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_dmgr_status.sh";
        };
        Task "List_Application_Servers" {
                Comments = ("","Task Name            : List Application Servers",1);
                Description = ("itmwasTaskCat","List WebSphere Application Servers",16);
                HelpMessage = ("itmwasTaskHelpCat","List Application Servers
Lists the application servers associated with an IBM WebSphere
administration server.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",8);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_list_servers.sh";
        };
        Task "List_Enterprise_Applications" {
                Comments = ("","Task Name            : List Enterprise Applications",1);
                Description = ("itmwasTaskCat","List Enterprise Applications",89);
                HelpMessage = ("itmwasTaskHelpCat","List Enterprise Applications

Returns a list containing all of the Enterprise Applications that are currently installed.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
Application server (WSAdministrationServer, IWSDeploymentManager, IWSApplicationServer)

GUI DATA ENTRY FIELDS:
None",28);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_list_enterprise_applications.sh";
        };
        Task "Start_Enterprise_Application" {
                Comments = ("","Task Name            : Start Enterprise Application",1);
                Description = ("itmwasTaskCat","Start Enterprise Application",90);
                HelpMessage = ("itmwasTaskHelpCat","Start Enterprise Application

Starts an enterprise application on an application server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere Application Server (WSAdministrationServer, IWSDeploymentManager, IWSApplicationServer)

GUI DATA ENTRY FIELDS
Enterprise Application Name",29);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Argument ("itmwasTaskCat","Application Name",93) {
                        DefaultValue = ("","",1);
                        Layout = ("","InputField",1);
                };
                Implementation ("default") Binary "./itmwas_start_enterprise_application.sh";
        };
        Task "Stop_Enterprise_Application" {
                Comments = ("","Task Name            : Stop Enterprise Application",1);
                Description = ("itmwasTaskCat","Stop Enterprise Application",91);
                HelpMessage = ("itmwasTaskHelpCat","Stop Enterprise Application

Stops an enterprise application on an application server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere Application Server (WSAdministrationServer, IWSDeploymentManager, IWSApplicationServer)

GUI DATA ENTRY FIELDS
Enterprise Application Name",30);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Argument ("itmwasTaskCat","Application Name",93) {
                        DefaultValue = ("","",1);
                        Layout = ("","InputField",1);
                };
                Implementation ("default") Binary "./itmwas_stop_enterprise_application.sh";
        };

}

