TaskLibrary "WebSphere Node Agent Server Tasks" {
        Context = ("","*",1);
        Distribute = ("","ALI",1);
        HelpMessage = ("","WebSphere Node Agent Server Task Library",1);
        Requires = ("",">2.5",1);
        Version = ("","1.0",1);

        ArgLayout InputField {
                Text;
        };

        Task "Start_Node_Agent_Server" {
                Comments = ("","Task Name            : Start Node Agent Server",1);
                Description = ("itmwasTaskCat","Start Node Agent Server",85);
                HelpMessage = ("itmwasTaskHelpCat","Start Node Agent Server

Starts the IBM WebSphere node agent server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere node agent (IWSNodeAgent)

GUI DATA ENTRY FIELDS
None",22);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_start_nodeagent_server.sh";
        };
        Task "Stop_Node_Agent_Server" {
                Comments = ("","Task Name            : Stop Node Agent Server",1);
                Description = ("itmwasTaskCat","Stop Node Agent Server",86);
                HelpMessage = ("itmwasTaskHelpCat","Stop Node Agent Server

Stops the IBM WebSphere node agent server.

AUTHORIZATION ROLES
websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere node agent (IWSNodeAgent)

GUI DATA ENTRY FIELDS
None",23);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_stop_nodeagent_server.sh";
        };
        Task "Check_Node_Agent_Server_Status" {
                Comments = ("","Task Name            : Check Node Agent Server Status",1);
                Description = ("itmwasTaskCat","Check Server Status",84);
                HelpMessage = ("itmwasTaskHelpCat","Check Node Agent Server Status

Returns the status of the IBM WebSphere node agent server.

This task returns \"up\" if the administration server is running, \"down\"
if it is stopped, and \"unknown\" if there is a problem obtaining
the status.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere node agent server (IWSNodeAgent)

GUI DATA ENTRY FIELDS
None",24);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_nodeagent_status.sh";
        };
        Task "List_Application_Servers" {
                Comments = ("","Task Name            : List Application Servers",1);
                Description = ("itmwasTaskCat","List WebSphere Application Servers",16);
                HelpMessage = ("itmwasTaskHelpCat","List Application Servers
Lists the application servers associated with an IBM WebSphere
administration server.

AUTHORIZATION ROLES
websphereappsvr_user, websphereappsvr_admin, websphereappsvr_super

TARGET ENDPOINT
IBM WebSphere administration server (WSAdministrationServer)

GUI DATA ENTRY FIELDS
None",8);
                Roles = ("","websphereappsvr_super:websphereappsvr_admin:websphereappsvr_user",1);
                Uid = ("","$root_user",1);
                Implementation ("default") Binary "./itmwas_list_servers.sh";
        };

}

